package com.jh.memsource.project;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import com.jh.memsource.model.PagedList;
import com.jh.memsource.model.Project;
import com.jh.memsource.settings.SettingsService;

@RestController
public class ProjectApiController {

	@Autowired
	private ProjectService service;
	
	@Autowired
	private SettingsService settingsService;
	
	
	@GetMapping("/projects")
	public @ResponseBody PagedList<Project> getSettings() {
		return service.getProjects(settingsService.getSettings());
	}
	
	
}
