package com.jh.memsource.project;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.jh.memsource.model.PagedList;
import com.jh.memsource.model.Project;
import com.jh.memsource.model.Settings;
import com.jh.memsource.project.repo.ProjectRepository;

@Service
public class ProjectService {


	private ProjectRepository repository;
	
	
	/**
	 * Returns list of projects
	 * 
	 * @return
	 */
	public PagedList<Project> getProjects(Settings settings) {
		return repository.listProjects(settings, 0, 20);
	}
	
	
	@Autowired
	public void setRepository(ProjectRepository repository) {
		this.repository = repository;
	}

}
